#
# spec file for package libofa
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libofa
Summary:        Open Fingerprint Architecture Library
License:        GPL-2.0+ or APL-1.0
Group:          System/Libraries
Version:        0.9.3
Release:        102.3
Url:            http://code.google.com/p/musicip-libofa/
Source0:        %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         libofa-incl.patch
Patch1:         libofa-0.9.3-gcc43.patch
Patch2:         libofa-0.9.3-pkgconfigbloat.patch
Patch3:         libofa-0.9.3-gcc44.patch
Patch4:         libofa-curl-types.patch
Patch5:         libofa-0.9.3-gcc47.patch
BuildRequires:  curl-devel
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  libexpat-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%package -n libofa0

Summary:        Open Fingerprint Architecture Library
Group:          System/Libraries
Provides:       %{name} = %{version}
#opensuse 10.3
Obsoletes:      libofa < 0.9.3

%description -n libofa0
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%package devel

Requires:       fftw3-devel
Requires:       glibc-devel
Requires:       libexpat-devel
Requires:       libofa0 = %{version}
Summary:        Open Fingerprint Architecture Library
Group:          Development/Libraries/C and C++

%description devel
MusicDNS and the Open Fingerprint Architecture provide a system for
identifying a piece of music with nothing more than the sound of the
piece itself.
This library is by design compatible with the MusicDNS web service.
Non-commercial access to the service is available at
http://www.musicdns.org.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1
%patch4
%patch5 -p1
tr -d '\r' <README >README~
mv README~ README

%build
autoreconf -fi
%configure  --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libofa0
%defattr(-, root, root)
%{_libdir}/lib*.so.0*

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING README
%doc examples/*.cpp examples/*.h
%dir %{_includedir}/ofa1
%{_includedir}/ofa1/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/lib*.*a

%post -n libofa0 -p /sbin/ldconfig

%postun -n libofa0 -p /sbin/ldconfig

%changelog
* Fri Mar 16 2012 coolo@suse.com
- fix license tag
* Wed Mar 14 2012 dimstar@opensuse.org
- Add libofa-0.9.3-gcc47.patch: Fix build with gcc 4.7.
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sat Aug  6 2011 crrodriguez@opensuse.org
- Ficx build with newer curl
* Thu May 26 2011 davejplater@gmail.com
- Inserted the correct license field.
* Sat May 21 2011 davejplater@gmail.com
- Added baselibs.conf to sources and spec file cosmetic fix's.
- Fixed license field.
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Added BuildRequires: pkg-config (fix for RPMLINT warning)
- Removed self-obsoletes (fix for RPMLINT warning)
* Sat Dec 12 2009 aj@suse.de
- Do not package example/Makefile* since they only work in the build directory.
* Wed May  6 2009 coolo@suse.de
- fix compilation with gcc 4.4
* Thu Nov  6 2008 sbrabec@suse.cz
- Fixed devel dependencies.
- Fixed README EOL encoding.
* Tue Nov  6 2007 crrodriguez@suse.de
- libofa --> libofa0
- fix build with gcc43
- add missing ldconfig calls
- fix some minor packaging errors
- fix devel package, pkgconfig script wrongly added
  unneeded libraries to the dependency chain.
- remove static libraries and libtool "la" files
* Fri Apr 27 2007 aj@suse.de
- Add libexpat-devel to BuildRequies.
* Mon Nov 13 2006 aj@suse.de
- Add c++ to BuildRequires.
* Mon Oct 23 2006 sbrabec@suse.cz
- New SuSE package, version 0.9.3.
